﻿Copyright (c) (2014) Fluke Corporation.                  All rights reserved.
=============================================================================
INSTRUMENT:            Sub Tektronix TPS 2000: (1 year) VER RS-232 /9500+3Hd
DATE:                  2014-03-13 14:12:53
AUTHOR:                Fluke
REVISION:              $Revision: 19204 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       243
CONFIGURATION:         Datron 9500 (C5)
CONFIGURATION:         Datron 9510 on channel 1
CONFIGURATION:         Datron 9510 on channel 2
CONFIGURATION:         Datron 9510 on channel 3
=============================================================================
#
#  Procedure Author:
#        VY, GMO
# 
#  Models covered:
#        TPS 2012, TPS 2012B
# 
#  Source(s):
#        TPS2000B Series Digital Storage Oscilloscopes
#        Service Manual, PN 077-0447-01
# 
#  Compatibility:
#        MET/CAL 8.1.4 or later
#
#  Additional Equipment Required (Only used in lieu of 9500 dual sine mode):
#        Power Splitter, 1 kHz to 500 MHz, 6 dB insertion loss,
#          output tracking: <0.25 dB, equivalent output
#          SWR: <1.22, HP/Agilent 11667A or equivalent
#          N(f) all ports
#        N(m) to BNC(f) adapter, 3 sets
#        50 Ω feed through terminator, 2 sets
#        50 Ω BNC(m)-(m) cable, 10 inch long, 2 sets
# 
# The procedure was tested using:
#
#        Model No  :
#        Serial No :
#        Options   :
#        Firmware  :
#
# Average run time during testing :  8 min
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  IF           0
  1.002  M9500                       CH1
  1.003  9500         200MH                        1Vpp           LS    S
  1.004  M9500                       CH2
  1.005  9500         200MH                        1Vpp           LS    S
  1.006  M9500                       CH3
  1.007  9500         200MH                        1Vpp           LS    S
  1.008  ENDIF

  1.009  ASK-   R   Q N              P                            F        V

  1.010  IF           NOT(VERSIONCHECK("8.1.4"))
  1.011  END
  1.012  ENDIF

  1.013  CALL         Sub Display Copyright
  1.014  CALL         Sub High Voltage Safety Warning

  1.015  HEAD         PRELIMINARY INSTRUCTIONS
  1.016  CALL         Sub Select Failed Test Mode
  1.017  CALL         Sub Select Guardbanding & Ver Method (No NTHROW)

  1.018  HEAD         TEST CONDITIONS
  1.019  DISP         Ensure a minimum UUT warm-up time of at least
  1.019  DISP         10 minutes has been allowed to elapse, prior
  1.019  DISP         to beginning verification.

  1.020  HEAD         REMOTE SETUP
  1.021  TARGET
  1.022  CALL         Sub UUT RS-232 Connection DTE DB9 (m)
  1.023  CALL         Sub Tek TPS2000 Setup RS-232
  1.024  PORT         *RST

  1.025  HEAD         UUT IDENTIFICATION
  1.026  CALL         Sub IEEE-488.2 Identification Query RS-232 using OTERM
  1.027  MATH         @UUT_Manufacturer = "Tektronix"
  1.028  CALL         Sub IEEE-488.2 Identification Query Check Response

  1.029  IF           @Abort
  1.030  END
  1.031  ENDIF

  1.032  CALL         Sub Datron 9500 Configuration Query IEEE

# Check whether the active head configuration is possible to use dual sine
# function for external trig sensitivity test. 9500 dual sine feature is
# limited to heads of the same type.
  1.033  MATH         @SameHead = 1 + ZCMPI(@HeadTypeCh1, @HeadTypeCh3)
  1.034  MATH         @SameHead = @SameHead + ZCMPI(@HeadTypeCh2,@HeadTypeCh3)

  1.035  IF           @SameHead == 3
  1.036  MATH         @UseDualChanLS = 1; @Abort = 0

  1.037  ELSEIF       ZCMPI(@HeadTypeCh1, @HeadTypeCh3)
  1.038  MATH         @UseDualChanLS = 1; @Abort = 0

  1.039  ELSEIF       NOT(ZCMPI(@HeadTypeCh1, @HeadTypeCh3))
  1.040  OPBR         -z In the subsequent external trigger sensitivity test,
  1.040  OPBR         the use of the 9500 dual sine function is recommended.
  1.040  OPBR         If two Active Heads of the same type are not available,
  1.040  OPBR         however, the use of a power splitter is also supported.
  1.040  OPBR
  1.040  OPBR         Do you wish to change Active Heads to faciltate the use
  1.040  OPBR         of the dual sine function at this time?

  1.041  IF           MEM1
  1.042  DISP         Exchange 9500 Active Heads, ensuring the same types are
  1.042  DISP         used in both CH 1 and CH 3, then modify the MET/CAL
  1.042  DISP         Instrument Configuration and re-execute the procedure.
  1.042  DISP
  1.042  DISP         Selecting "Advance" aborts the procedure, facilitating
  1.042  DISP         the above change.
  1.043  MATH         @Abort = 1
  1.044  ELSE
  1.045  HEAD         EQUIPMENT REQUIREMENTS
  1.046  DISP         The following additional equipment and/or
  1.046  DISP         accessories are required:
  1.046  DISP
  1.046  DISP         - Power Splitter, 1 kHz to 500 MHz, 6 dB insertion loss,
  1.046  DISP         [32] output tracking: <0.25 dB, equivalent output
  1.046  DISP         [32] SWR: <1.22, HP/Agilent 11667A or equivalent
  1.046  DISP         [32] N(f) all ports
  1.046  DISP         - N(m) to BNC(f) adapter, 3 sets
  1.046  DISP         - 50 Ω feed through terminator, 2 sets
  1.046  DISP         - 50 Ω BNC(m)-(m) cable, 10 inch long, 2 sets
  1.047  MATH         @UseDualChanLS = 0; @Abort = 0
  1.048  ENDIF

  1.049  ENDIF

  1.050  JMPL         END                          @Abort

  1.051  CALL         Sub Tek TPS2000 Self-Test RS-232
  1.052  JMPL         END                         @Abort

  1.053  CALL         Sub Tek TPS2000 Sig Path Comp Cal RS-232
  1.054  JMPL         END                         @Abort

  1.055  MATH         @CalMultiChan = 1

# Specify channel to test.
  1.056  MATH         @Chan = 1
  1.057  M9500                       CH1
  1.058  CALL         Sub Tek TPS2000 (1 yr) DCV Gain RS-232 /9500

  1.059  MATH         @Chan = 2
  1.060  M9500                       CH2
  1.061  CALL         Sub Tek TPS2000 (1 yr) DCV Gain RS-232 /9500

  1.062  IF           FINDI(@UUT_Model,"B",1)
  1.063  MATH         @Chan = 1
  1.064  M9500                       CH1
  1.065  CALL         Sub Tek TPS2000 (1 yr) DCV Meas RS-232 /9500

  1.066  MATH         @Chan = 2
  1.067  M9500                       CH2
  1.068  CALL         Sub Tek TPS2000 (1 yr) DCV Meas RS-232 /9500
  1.069  ENDIF

  1.070  MATH         @Chan = 1
  1.071  M9500                       CH1
  1.072  CALL         Sub Tek TPS2000 (1 yr) Bandwidth RS-232 /9500

  1.073  MATH         @Chan = 2
  1.074  M9500                       CH2
  1.075  CALL         Sub Tek TPS2000 (1 yr) Bandwidth RS-232 /9500

  1.076  MATH         @Chan = 1
  1.077  M9500                       CH1
  1.078  CALL         Sub Tek TPS2000 (1 yr) Trig Sens RS-232 /9500

  1.079  MATH         @Chan = 2
  1.080  M9500                       CH2
  1.081  CALL         Sub Tek TPS2000 (1 yr) Trig Sens RS-232 /9500
  1.082  JMPL         SAMPLE_RATE_DELAY_TIME       @SameHead != 3

  1.083  LABEL        EXT_TRIG

  1.084  IF           @SameHead == 3
  1.085  MATH         @Chan = 1
  1.086  M9500                       CH13
  1.087  CALL         Sub Tek TPS2000 (1 yr) ExTrig Sens RS-232 /9500+2Hd

  1.088  MATH         @Chan = 2
  1.089  M9500                       CH23
  1.090  CALL         Sub Tek TPS2000 (1 yr) ExTrig Sens RS-232 /9500+2Hd

  1.091  ELSEIF       @SameHead < 3 && @UseDualChanLS
  1.092  MATH         @Chan = 1
  1.093  M9500                       CH13
  1.094  CALL         Sub Tek TPS2000 (1 yr) ExTrig Sens RS-232 /9500+2Hd

  1.095  MATH         @Chan = 2
  1.096  M9500                       CH13
  1.097  CALL         Sub Tek TPS2000 (1 yr) ExTrig Sens RS-232 /9500+2Hd

  1.098  ELSEIF       NOT(@UseDualChanLS)
  1.099  MATH         @Chan = 1
  1.100  M9500                       CH1
  1.101  CALL         Sub Tek TPS2000 (1 yr) ExTrig Sens RS-232 /9500+1Hd

  1.102  MATH         @Chan = 2
  1.103  M9500                       CH1
  1.104  CALL         Sub Tek TPS2000 (1 yr) ExTrig Sens RS-232 /9500+1Hd
  1.105  ENDIF

  1.106  JMPL         END                          @SameHead != 3

  1.107  LABEL        SAMPLE_RATE_DELAY_TIME
  1.108  MATH         @Chan = 1
  1.109  M9500                       CH1
  1.110  CALL         Sub Tek TPS2000 (1 yr) Sample Rate RS-232 /9500
  1.111  JMPL         EXT_TRIG                     @SameHead != 3

  1.112  LABEL        END
  1.113  HEAD

  1.114  IF           @Abort
  1.115  DISP         V E R I F I C A T I O N   A B O R T E D
  1.116  ENDIF

  1.117  END
